Results 1 to 7 of 7

Thread: Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

  1. #1
    Join Date
    Sep 2020
    Posts
    3

    Exclamation Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

    Hi all,

    since yesterday, after I zypper up-dated to 5.4.18-lp152.41 my openSUSE Leap 15.2 installation is unable to boot.
    After GRUB, only a black screen with a small _ in the upper right corner can be seen.
    When I boot in Recovery-Mode, I can see the following message in the last line:

    fb0: switchting to amdgpudrmfb from EFI VGA

    (Here is a literal screenshot I snapped of the non-functioning boot: https://i.lx-s.de/y/5f61ba96637ba.JPG
    )

    My graphics card is an MSI AMD RX 5700.
    When selecting "Advanced Options in GRUB" and boot with openSUSE Leap 15.2, with Linux 5.3.18-lp152.36-default
    everything works and the system boots up normally.

    As I am just in the process of setting everything up to use Linux more often than Windows, this openSUSE-installation doesn't see much usage currently,
    the only thing I do is pretty much updating it constantly. Also, since everything works with the older kernel, I assume it's a bug with the new one
    and not something my installation/configuration is guilty off.

    For now, I've added oldest to multiversion.kernels in /etc/zypp/zypp.conf to keep my system bootable.

    If I can add any additional information, please tell me, as I am really new at reporting openSUSE (or Linux in general) problems, I am not yet savvy in which
    information should be provided by default.

  2. #2
    Join Date
    Sep 2020
    Posts
    3

    Default Re: Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

    I also uploaded the screenshot to openSUSE-Paste: https://paste.opensuse.org/d6d08baf
    and I just noticed that I wrote in the opening post "5.4.18" which should have been "5.3.18".

    I would've edited it, but I can't seem to find the edit-button.. :/

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,420
    Blog Entries
    3

    Default Re: Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

    If you look around, there are some similar posts. And I think there's an open bug report.

    Adding "oldest" to the multversion.kernels" line was a wise move.

    You got the kernel version right in the thread title, even if you were off by one in the text.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  4. #4

    Default Re: Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

    Debugging_boot_hang

    https://forums.opensuse.org/showthre...2-(5-6-0-works

    But AMD's uninstaller forgot to delete file /etc/dracut.conf.d/amdgpu-5.6.0-1.g4de1111-default.conf which contained strings:

    --------------------------------------------------------------
    add_drivers+=" amdgpu"
    fw_dir+="/lib/firmware/5.6.0-1.g4de1111-default"
    --------------------------------------------------------------

    After removing this file I reinstalled kernels.
    Now they can be loaded normally - 5.5.13 from TW and 5.6.2 from Kernel:stable repo.

    Looks same as https://forums.opensuse.org/showthre...152-41-default

    What version of AMDGPU All-Open and AMDGPU-Pro Driver you are using?
    Version 20.30+ is needed for Leap 15.2.

  5. #5
    Join Date
    Sep 2020
    Posts
    3

    Default Re: Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

    Quote Originally Posted by Svyatko View Post
    Unfortunately, none of that that did work. The boot process always stops at fb0: switchting to amdgpudrmfb from EFI VGA

    But AMD's uninstaller forgot to delete file /etc/dracut.conf.d/amdgpu-5.6.0-1.g4de1111-default.conf which contained strings:
    That didn't happen for me. This file (or any other by that name-schema) doesn't exist on my installation.

    What version of AMDGPU All-Open and AMDGPU-Pro Driver you are using? Version 20.30+ is needed for Leap 15.2.
    I was using 20.30 (this seems to be the newest available version), but after I saw the boot error I uninstalled it (via booting the old kernel).

    I just tried installing it again and trying to boot up with the driver installed, but the boot-process was still hanging at fb0: switchting to amdgpudrmfb from EFI VGA
    After I uninstalled it (again), no change.


    Guess I have to wait for a new Kernel or is there any other place where I could report this "bug"?

  6. #6
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    1,915
    Blog Entries
    1

    Default Re: Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

    Experienced severe problems with i915 in 2016 and a minor one with amdgpu a few weeks ago. Both were gone when switching to a current version of Tumbleweed.
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), openSUSE Tumbleweed, KDE Plasma 5

  7. #7

    Default Re: Since 5.3.18-lp152.41 Unable to boot: fb0 switchting to amdgpudrmfb from EFI VGA

    Open a bug report:
    https://en.opensuse.org/openSUSE:Submitting_bug_reports

    Another option - upgrade graphics stack using "Experimental" repos (X11).
    Delete proprietary driver, then install Mesa 3D drivers.
    Probably kernel + firmware upgrade will help.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •